package com.zj365.dc.adapter

import android.widget.ImageView
import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.xty.network.model.FoodRecoginzeInfo
import com.xty.network.model.HomeLayoutBean
import com.zj365.dc.R

class RecognizeResultAdapter : BaseAdapter<FoodRecoginzeInfo>(R.layout.item_recognize_result){
    override fun convert(holder: BaseViewHolder, item: FoodRecoginzeInfo) {

        if (item.isCheck){
            holder.setGone(R.id.img_bg,false)
        }else{
            holder.setGone(R.id.img_bg,true)

        }

        holder.getView<ImageView>(R.id.img_pic).setImage(context,item.img)

    }

}